## glfilterapp

glfilterapp — Use client callbacks to define the scene

## Synopsis

    struct              GstGLFilterApp;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstGLFilter
                               +----GstGLFilterApp

## Properties

      "client-draw-callback"     gpointer              : Write
      "client-reshape-callback"  gpointer              : Write
      "client-data"              gpointer              : Write

## Description

The resize and redraw callbacks can be set from a client code.

### CLient callbacks

The graphic scene can be written from a client code through the two glfilterapp properties.

### Examples

see gst-plugins-gl/tests/examples/generic/recordgraphic

## Synopsis

### Element Information

plugin | opengl
author | Julien Isorce <julien.isorce@gmail.com>
class | Filter/Effect

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

name | src
direction | source
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

## Details

### struct GstGLFilterApp

    struct GstGLFilterApp;

## Property Details

### The `"client-draw-callback"` property

      "client-draw-callback"     gpointer              : Write

Define a custom draw callback in a client code.

### The `"client-reshape-callback"` property

      "client-reshape-callback"  gpointer              : Write

Define a custom reshape callback in a client code.

### The `"client-data"` property

      "client-data"              gpointer              : Write

Pass data to the draw and reshape callbacks.